DilithiumPrivateKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.crystals.dilithium

## Class DilithiumPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumKeyParameters
    - - org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class DilithiumPrivateKeyParameters
      extends DilithiumKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DilithiumPrivateKeyParameters(DilithiumParameters params, byte[] rho, byte[] K, byte[] tr, byte[] s1, byte[] s2, byte[] t0, byte[] t1)`
    `DilithiumPrivateKeyParameters(DilithiumParameters params, byte[] encoding, DilithiumPublicKeyParameters pubKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()`
    `byte[]` | `getK()`
    `byte[]` | `getPrivateKey()` Deprecated. Use `getEncoded()` instead.
    `byte[]` | `getPublicKey()`
    `DilithiumPublicKeyParameters` | `getPublicKeyParameters()`
    `byte[]` | `getRho()`
    `byte[]` | `getS1()`
    `byte[]` | `getS2()`
    `byte[]` | `getT0()`
    `byte[]` | `getT1()`
    `byte[]` | `getTr()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DilithiumPrivateKeyParameters

          public DilithiumPrivateKeyParameters(DilithiumParameters params,
                                               byte[] rho,
                                               byte[] K,
                                               byte[] tr,
                                               byte[] s1,
                                               byte[] s2,
                                               byte[] t0,
                                               byte[] t1)

    - #### DilithiumPrivateKeyParameters

          public DilithiumPrivateKeyParameters(DilithiumParameters params,
                                               byte[] encoding,
                                               DilithiumPublicKeyParameters pubKey)

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

    - #### getK

          public byte[] getK()

    - #### getPrivateKey

          @Deprecated
          public byte[] getPrivateKey()

      Deprecated. Use `getEncoded()` instead.

    - #### getPublicKey

          public byte[] getPublicKey()

    - #### getPublicKeyParameters

          public DilithiumPublicKeyParameters getPublicKeyParameters()

    - #### getRho

          public byte[] getRho()

    - #### getS1

          public byte[] getS1()

    - #### getS2

          public byte[] getS2()

    - #### getT0

          public byte[] getT0()

    - #### getT1

          public byte[] getT1()

    - #### getTr

          public byte[] getTr()